<template>
    <div class="UserListClass">
        <h1>{{ msg }}</h1>
        <button @click="onClick">{{ fullName }}</button>
    </div>
</template>

<script>
export default {
    name: 'ContactItem',

    props: {
        msg: { proptype: String },
        simpleContact: { propType: Object, required: true },
    },
    computed: {
        fullName: function() {
            return `${this.simpleContact.name} ${this.simpleContact.surname}`
        },
    },
    methods: {
        onClick() {
            this.$emit('click-to-info', this.simpleContact)
        },
    },
}
</script>
<style scoped>
.UserListClass {
    border-top-width: 0.1rem;
    padding-top: 1.2rem;
    padding-bottom: 1.2rem;
    border-bottom: thin ridge #8080804f;
}

button {
    border: none;
    cursor: pointer;
    background: white;
    font-size: 1rem;
    letter-spacing: 0.3px;
}
button:hover {
    color: #8080809d;
}
</style>
